Bug 994490 - Set per-machine-type SMBIOS strings
Set per-machine-type SMBIOS strings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks: 841379 895959 987757
  Show dependency treegraph
 
Reported: 2013-08-07 07:40 EDT by Markus Armbruster
Modified: 2014-06-18 08:22 EDT (History)
7 users (show)

See Also:
Fixed In Version: -kvm-1.5.3-14.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:32:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2013-08-07 07:40:00 EDT
Description of problem:
Contents of SMBIOS has regressed from RHEL-6:

Table 1                 RHEL-7          RHEL-6
System Manufacturer:    Bochs           Red Hat
System Product Name:    Bochs           KVM
System Version:         <none>          <machine type>
System Family:          <none>          Red Hat Enterprise Linux

Note: RHEL-6 additionally changes BIOS Vendor from Bochs to QEMU in
table 0 for RHEL-5 machine types, but those aren't in RHEL-7 so far.

How reproducible:
Always

Steps to Reproduce:
1. For all machine types common to RHEL-6 and RHEL-7: start guest without any -smbios options, run "dmidecode -t 0 -t 1" in guest

Actual results:
RHEL-6 and RHEL-7 host produce different output for same machine type

Expected results:
Produce the same output

Additional info:
See qemu-kvm-rhel6 commits
68c63bd per-machine-type smbios Type 1 smbios values
8e0d71e Set SMBIOS vendor to QEMU for RHEL5 machine types.
Comment 1 Markus Armbruster 2013-08-07 07:41:57 EDT
The qemu-kvm-rhel6 commits quoted above are for bug 605704 and bug 614377.
Comment 3 Miroslav Rezanina 2013-11-06 06:27:14 EST
Fix included in -kvm-1.5.3-14.el7
Comment 5 Qian Guo 2013-12-17 06:10:09 EST
Verified this bug with qemu-kvm-1.5.3-21.el7.x86_64
Steps:
1.Boot rhel7 guest with machine types:
-M pc
-M q35
-M rhel6.5.0
-M rhel6.4.0
-M rhel6.3.0
-M rhel6.2.0
-M rhel6.1.0
-M rhel6.0.0

# /usr/libexec/qemu-kvm  -cpu Penryn -enable-kvm -m 4096 -smp 4,sockets=1,cores=4,threads=1 -usb -device usb-tablet,id=input0 -name rhel7 -rtc base=localtime,clock=host,driftfix=slew -device ahci,id=ahci1 -drive file=/home/RHEL-7.0-20131127.1.qcow2_v3,if=none,id=drive-ahci,format=qcow2,aio=native,werror=stop,rerror=stop -device ide-drive,bus=ahci1.0,unit=0,drive=drive-ahci,id=sata-disk -device virtio-balloon-pci,id=balloon1 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio -serial unix:/tmp/ttyS0,server,nowait -qmp tcp:0:4444,server,nowait -spice disable-ticketing,port=5930,seamless-migration=on -vga std  -M rhel6.0.0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=54:52:1a:23:0b:01

2.Run "dmidecode -t 0 -t 1" in guest with every machine types

Result:check all the prints of the types:
1) .For rhel6.0.0
# cat rhel600
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 6.0.0 PC
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux

2) .For rhel6.1.0

# cat rhel610
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 6.1.0 PC
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux

3) .For rhel6.2.0

# cat rhel620
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 6.2.0 PC
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux

4) .For rhel6.3.0

# cat rhel630
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 6.3.0 PC
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux

5) .For rhel6.4.0

# cat rhel640
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 6.4.0 PC
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux


6) .For rhel6.5.0

# cat rhel650
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 6.5.0 PC
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux


7) .For q35 

# cat q35 
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL-7.0.0 PC (Q35 + ICH9, 2009)
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux
8) .For pc
 
# cat pc 
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: Bochs
	Version: Bochs
	Release Date: 01/01/2011
	Address: 0xE8000
	Runtime Size: 96 kB
	ROM Size: 64 kB
	Characteristics:
		BIOS characteristics not supported
		Targeted content distribution is supported
	BIOS Revision: 1.0

Handle 0x0100, DMI type 1, 27 bytes
System Information
	Manufacturer: Red Hat
	Product Name: KVM
	Version: RHEL 7.0.0 PC (i440FX + PIIX, 1996)
	Serial Number: Not Specified
	UUID: Not Settable
	Wake-up Type: Power Switch
	SKU Number: Not Specified
	Family: Red Hat Enterprise Linux


So according above, contents of SMBIOS are same with rhel6:
System Manufacturer:             Red Hat
System Product Name:             KVM
System Version:                  <machine type>
System Family:                   Red Hat Enterprise Linux


So this bug is fixed by qemu-kvm-1.5.3-21.el7.x86_64
Comment 7 Ludek Smid 2014-06-13 06:32:03 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.